[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Link problem

I'm trying to install a library into R and get the following error

Installing package `RPgSQL' ...
creating cache ./config.cache
checking for crypt in -lcrypt... yes
checking for PQconnectdb in -lpq... yes
updating cache ./config.cache
creating ./config.status
creating src/Makevars
gcc -I/usr/lib/R/include -I/usr/include/postgresql -I/usr/local/include
-mieee-fp -D__NO_MATH_INLINES  -fPIC  -g -O2 -c RPgSQL.c -o RPgSQL.o
gcc -shared -lc -shared  -o /usr/lib/R/library/RPgSQL/libs/RPgSQL.so
RPgSQL.o -L/usr/local/lib -lcrypt -lpq -lf77blas -lcblas -latlas  -lg2c
-lm -L/usr/lib/gcc-lib/i386-linux/2.95.2 -lm
/usr/bin/ld: cannot find -lf77blas
collect2: ld returned 1 exit status

What's odd is:

lilu:~# ls /usr/lib/libf77blas.so.2*
/usr/lib/libf77blas.so.2  /usr/lib/libf77blas.so.2.3

Anyone know what's up?


Timothy H. Keitt
Department of Ecology and Evolution
State University of New York at Stony Brook
Phone: 631-632-1101, FAX: 631-632-7626

Reply to: